package com.heyu.api.data.entity.operation;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*场景列表，同一个时间点，如果行为有冲突，以最后添加的条件为准（时间精度：分）
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("operatin_scene")
public class OperatinSceneEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.operation.OperatinSceneEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                 // 
    public final static String is_delete = CLASS_NAME + "is_delete";                    // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                // 修改时间
    public final static String name_ = CLASS_NAME + "name";                             // 场景名称
    public final static String operation_mode_id = CLASS_NAME + "operation_mode_id";    // 模式id
    public final static String remark_ = CLASS_NAME + "remark";                         // 备注说明
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //场景名称
    private String name;
    //模式id
    private Long operationModeId;
    //备注说明
    private String remark;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 场景名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 场景名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 模式id 
     * @return
     */
    public Long getOperationModeId() {
        return operationModeId;
    }
    /**
     * 模式id 
     * @param operationModeId
     */
    public void setOperationModeId(Long operationModeId) {
        this.operationModeId = operationModeId;
    }

    /**
     * 备注说明 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注说明 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "OperatinSceneEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",name=" + name +
                ",operationModeId=" + operationModeId +
                ",remark=" + remark +
                "}";
    }
}